import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState, useEffect } from 'react';
import Lumino from '../lumino/Lumino';
import { createVariablesInspectorManager, registerKernel, } from './variables/variablesinspector';
export const KernelVariables = (props) => {
    const { kernel } = props;
    const [panel, setPanel] = useState();
    useEffect(() => {
        kernel?.ready.then(() => {
            const manager = createVariablesInspectorManager();
            setPanel(manager.panel);
            registerKernel(manager, kernel);
        });
    }, [kernel]);
    return panel ? _jsx(Lumino, { children: panel }) : _jsx(_Fragment, {});
};
export default KernelVariables;
//# sourceMappingURL=KernelVariables.js.map