import { IOutput } from '@jupyterlab/nbformat';
import { IOutputAreaModel, OutputArea } from '@jupyterlab/outputarea';
import { IExecutionPhaseOutput } from '../../jupyter/kernel';
import { Kernel } from '../../jupyter/kernel/Kernel';
export declare class OutputAdapter {
    private _id;
    private _kernel?;
    private _renderers;
    private _outputArea;
    private _rendermime;
    private _iPyWidgetsClassicManager;
    private _suppressCodeExecutionErrors;
    constructor(id: string, kernel?: Kernel, outputs?: IOutput[], outputAreaModel?: IOutputAreaModel, suppressCodeExecutionErrors?: boolean);
    execute(code: string, onExecutionPhaseChanged?: (phaseOutput: IExecutionPhaseOutput) => void): Promise<void>;
    interrupt(): void;
    clear(): void;
    get kernel(): Kernel | undefined;
    set kernel(kernel: Kernel | undefined);
    get outputArea(): OutputArea;
    private initKernel;
}
export default OutputAdapter;
