import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useCallback, useEffect, useState } from 'react';
import { createRoot } from 'react-dom/client';
import { Text, ToggleSwitch, theme as primerTheme, Box } from '@primer/react';
import { Jupyter } from '../jupyter/Jupyter';
import { jupyterTheme } from '../theme/JupyterPrimerTheme';
import { Notebook } from '../components/notebook/Notebook';
import { NotebookToolbar } from './../components/notebook/toolbar/NotebookToolbar';
import { CellSidebar } from '../components/notebook/cell/sidebar/CellSidebar';
import nbformat from './notebooks/NotebookExample1.ipynb.json';
const NotebookThemeColormode = () => {
    const [theme, setTheme] = useState(jupyterTheme);
    const [isThemeOn, setIsThemeOn] = useState(false);
    const [colormode, setColormode] = useState('light');
    const [isOn, setIsOn] = useState(false);
    useEffect(() => {
        if (isThemeOn) {
            setTheme(primerTheme);
        }
        else {
            setTheme(jupyterTheme);
        }
    }, [isThemeOn]);
    const onThemeClick = useCallback(() => {
        setIsThemeOn(!isThemeOn);
    }, [isThemeOn]);
    const handleThemeSwitchChange = useCallback((on) => {
        setIsThemeOn(on);
    }, []);
    useEffect(() => {
        if (isOn) {
            setColormode('dark');
        }
        else {
            setColormode('light');
        }
    }, [isOn]);
    const onClick = useCallback(() => {
        setIsOn(!isOn);
    }, [isOn]);
    const handleSwitchChange = useCallback((on) => {
        setIsOn(on);
    }, []);
    return (_jsx(_Fragment, { children: _jsxs(Jupyter, { theme: theme, colormode: colormode, children: [_jsxs(Box, { display: "flex", children: [_jsxs(Box, { mr: 3, children: [_jsx(Text, { fontSize: 2, fontWeight: "bold", id: "switch-label", display: "block", mb: 1, children: "Primer Theme" }), _jsx(ToggleSwitch, { size: "small", onClick: onThemeClick, onChange: handleThemeSwitchChange, checked: isThemeOn, statusLabelPosition: "end", "aria-labelledby": "switch-label-theme" })] }), _jsxs(Box, { children: [_jsxs(Text, { fontSize: 2, fontWeight: "bold", id: "switch-label", display: "block", mb: 1, children: [colormode === 'light' ? 'Light' : 'Dark', " Mode"] }), _jsx(ToggleSwitch, { size: "small", onClick: onClick, onChange: handleSwitchChange, checked: isOn, statusLabelPosition: "end", "aria-labelledby": "switch-label-color-mode" })] })] }), _jsx(Notebook, { nbformat: nbformat, id: "notebook-model-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
                    , cellSidebarMargin: 120, CellSidebar: CellSidebar, Toolbar: NotebookToolbar })] }) }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookThemeColormode, {}));
//# sourceMappingURL=NotebookThemeColormode.js.map