import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { ReactWidget } from '@jupyterlab/apputils';
import { CellToolbarComponent } from './CellToolbarComponent';
export const DATALAYER_CELL_TOOLBAR_CLASS = 'dla-CellToolbar-Container';
export class CellToolbar extends ReactWidget {
    _cell;
    _props;
    constructor(cell, props) {
        super();
        this._cell = cell;
        this._props = props;
        this.addClass(DATALAYER_CELL_TOOLBAR_CLASS);
    }
    render() {
        return (_jsx(_Fragment, { children: _jsx(CellToolbarComponent, { cell: this._cell, extensionProps: this._props }) }));
    }
}
//# sourceMappingURL=CellToolbar.js.map