import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { BaseStyles, ThemeProvider, theme } from '@primer/react';
import { JupyterLabCss } from './../theme';
export const JupyterReactTheme = (props) => {
    const { children, colormode, loadJupyterLabCss } = props;
    return (_jsxs(_Fragment, { children: [loadJupyterLabCss && _jsx(JupyterLabCss, { colormode: colormode }), _jsx(ThemeProvider, { theme: theme, colorMode: colormode === 'light' ? 'day' : 'night', dayScheme: "light", nightScheme: "dark", children: _jsx(BaseStyles, { children: children }) })] }));
};
JupyterReactTheme.defaultProps = {
    colormode: 'light',
    loadJupyterLabCss: true,
};
export default JupyterReactTheme;
//# sourceMappingURL=JupyterReactTheme.js.map